WebService::MusicBrainz(3)

NAME
WebService::MusicBrainz

SYNOPSIS
    use WebService::MusicBrainz;

    my $artist_ws = WebService::MusicBrainz->new_artist();
    my $track_ws = WebService::MusicBrainz->new_track();
    my $release_ws = WebService::MusicBrainz->new_release();
    my $label_ws = WebService::MusicBrainz->new_label();

DESCRIPTION
This module will act as a factory using static methods to return specific web service objects;

METHODS

  new_artist()
Return new instance of WebService::MusicBrainz::Artist object.

  new_track
Return new instance of WebService::MusicBrainz::Track object.

  new_release
Return new instance of WebService::MusicBrainz::Release object.

  new_release
Return new instance of WebService::MusicBrainz::Label object.

AUTHOR

Bob Faist <bob.faist@gmail.com>

COPYRIGHT AND LICENSE
Copyright 2006-2007 by Bob Faist

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
http://wiki.musicbrainz.org/XMLWebService